Vla-put-dimensionlinecolor

提供: GizmoLabs
移動先: 案内検索
構文
(vla-put-dimensionlinecolor vla-object color ' ')


機能
寸法オブジェクト、引出線オブジェクト、幾何公差オブジェクトの寸法線の色を指定する。


引数
  • vla-object … VLAオブジェクト
  • color … acColor 列挙型(0 から 256 のカラー インデックス番号か、以下の定数のうちの 1 つを使用可能。
  • acByBlock
  • acByLayer
  • acRed
  • acYellow
  • acGreen
  • acCyan
  • acBlue
  • acMagenta
  • acWhite


戻り値
nil


  • MEMO : 色を設定し、0 ~ 256 の範囲の数値のインデックス値として読み込むことができる。標準の 7 色だけでなく、ByBlock と ByLayer の名前にも、定数がある。
    • acByBlock を使用すると、CAD は新しいオブジェクトを作成する際、ブロックにグループ化するまでは既定の色(環境設定により白または黒)を使用する。ブロックを図面に挿入すると、ブロック内のオブジェクトは現在の色のプロパティを継承する。
    • acByLayer を使用すると、新しいオブジェクトには画層の色が適用される。
    • 寸法オブジェクトに色を割り当てると、寸法線、矢印、寸法引出線にこの色が適用される。
  • このプロパティは、指定された寸法、引出線、または幾何公差オブジェクトでシステム変数 DIMCLRD[寸法線の色]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_DimensionLineColor()
    ;; 3点角度寸法を作成して、寸法の色を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; 3点角度寸法の定義
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; 3点角度寸法をモデルに作成
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    ;; 寸法線の色を読み込んで表示
    (alert (strcat "現在の寸法線の色は: " (itoa (vla-get-DimensionLineColor DimPointAngularObj))))

    ;; 寸法線の色を変更
    (vla-put-DimensionLineColor DimPointAngularObj acRed)
    (vla-Regen doc acAllViewports)
    
    ;; 寸法線の色を読み込んで表示
    (alert (strcat "新しい寸法線の色は : " (itoa (vla-get-DimensionLineColor DimPointAngularObj)) " (Red)"))
)

関連事項